### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
FixedDividend Class Reference

Predetermined cash flow. More...

`#include <ql/cashflows/dividend.hpp>`

Inheritance diagram for FixedDividend:
[legend]

List of all members.

## Public Member Functions

| FixedDividend (Real amount, const Date &date)
Dividend interface
virtual Real | amount () const
| returns the amount of the cash flow
virtual Real | amount (Real) const

## Protected Attributes

Real | amount_

## Detailed Description

Predetermined cash flow.

This cash flow pays a predetermined amount at a given date.

Examples:
  ConvertibleBonds.cpp.

## Member Function Documentation

virtual Real amount | ( |  | ) | const`[virtual]`

returns the amount of the cash flow

Note:
  The amount is not discounted, i.e., it is the actual amount paid at the cash flow date.

Implements Dividend.